%define upstream_name    HTTP-Message
%define upstream_version 6.26

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Class encapsulating HTTP Requests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Compress::Raw::Zlib)
BuildRequires: perl(Encode) >= 3.10.0
BuildRequires: perl(Encode::Locale) >= 1.0.0
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Date) >= 6.0.0
BuildRequires: perl(IO::Compress::Bzip2) >= 2.21.0
BuildRequires: perl(IO::Compress::Deflate)
BuildRequires: perl(IO::Compress::Gzip)
BuildRequires: perl(IO::HTML)
BuildRequires: perl(IO::Uncompress::Bunzip2) >= 2.21.0
BuildRequires: perl(IO::Uncompress::Gunzip)
BuildRequires: perl(IO::Uncompress::Inflate)
BuildRequires: perl(IO::Uncompress::RawInflate)
BuildRequires: perl(LWP::MediaTypes) >= 6.0.0
BuildRequires: perl(MIME::Base64) >= 2.100.0
BuildRequires: perl(MIME::QuotedPrint)
BuildRequires: perl(PerlIO::encoding)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Time::Local)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI) >= 1.100.0
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
An 'HTTP::Config' object is a list of entries that can be matched against
request or request/response pairs. Its purpose is to hold configuration
data that can be looked up given a request or response object.

Each configuration entry is a hash. Some keys specify matching to occur
against attributes of request/response objects. Other keys can be used to
hold user data.

The following methods are provided:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Sep 11 2020 tv <tv> 6.260.0-1.mga8
+ Revision: 1624422
- update to 6.26

* Mon Jun 29 2020 tv <tv> 6.250.0-1.mga8
+ Revision: 1600301
- update to 6.25

* Tue May 12 2020 tv <tv> 6.240.0-1.mga8
+ Revision: 1583285
- update to 6.24

* Fri Feb 28 2020 tv <tv> 6.220.0-1.mga8
+ Revision: 1551950
- update to 6.22

* Wed Feb 12 2020 umeabot <umeabot> 6.180.0-3.mga8
+ Revision: 1504703
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 6.180.0-2.mga7
+ Revision: 1284059
- Mageia 7 Mass Rebuild

* Thu Jun 07 2018 tv <tv> 6.180.0-1.mga7
+ Revision: 1235129
- update to 6.18

* Thu Mar 29 2018 tv <tv> 6.160.0-1.mga7
+ Revision: 1213420
- update to 6.16

* Wed Mar 14 2018 tv <tv> 6.150.0-1.mga7
+ Revision: 1209278
- update to 6.15

* Sun Dec 24 2017 tv <tv> 6.140.0-1.mga7
+ Revision: 1184396
- update to 6.14

* Sat Jul 22 2017 shlomif <shlomif> 6.130.0-1.mga7
+ Revision: 1128630
- update to 6.13

* Sun Jun 19 2016 pterjan <pterjan> 6.110.0-3.mga6
+ Revision: 1028439
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 6.110.0-2.mga6
+ Revision: 970011
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 6.110.0-1.mga6
+ Revision: 884633
- update to 6.11

* Mon Jul 20 2015 sander85 <sander85> 6.100.0-1.mga6
+ Revision: 855685
- update to 6.10

* Sun Jul 19 2015 sander85 <sander85> 6.90.0-1.mga6
+ Revision: 855369
- update to 6.09

* Mon Jul 13 2015 sander85 <sander85> 6.80.0-1.mga6
+ Revision: 853565
- update to 6.08

* Wed Oct 15 2014 umeabot <umeabot> 6.60.0-5.mga5
+ Revision: 746362
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.60.0-4.mga5
+ Revision: 685005
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 6.60.0-3.mga4
+ Revision: 512158
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 6.60.0-2.mga3
+ Revision: 368295
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 6.60.0-1.mga3
+ Revision: 315077
- update to 6.06

* Mon Oct 01 2012 jquelin <jquelin> 6.40.0-1.mga3
+ Revision: 301361
- update to 6.04

* Thu Feb 23 2012 jquelin <jquelin> 6.30.0-1.mga2
+ Revision: 212960
- update to 6.03

* Thu Mar 24 2011 jquelin <jquelin> 6.20.0-1.mga1
+ Revision: 76634
- update to 6.02

* Thu Mar 10 2011 jquelin <jquelin> 6.10.0-1.mga1
+ Revision: 67431
- update to 6.01

* Wed Mar 02 2011 jquelin <jquelin> 6.0.0-1.mga1
+ Revision: 62548
- imported package perl-HTTP-Message

